Bug 1687976 - UPGRADE: dns node resolver container is not updated
Summary: UPGRADE: dns node resolver container is not updated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.1.0
Assignee: Dan Mace
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-12 19:39 UTC by Derek Carr
Modified: 2019-06-04 10:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Node resolver uses openshift-cli image and the image update is not handled by the operator Consequence: After Cluster upgrade, openshift still has old openshift-cli image. Fix: Update DNS operator to handle openshift-cli image update. Result: Cluster upgrade will move the openshift-cli image to the new version as expected.
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:41 UTC
Github openshift cluster-dns-operator pull 85 None None None 2019-03-14 21:03:01 UTC

Description Derek Carr 2019-03-12 19:39:24 UTC
Description of problem:
A container in a DNS pod is not upgraded.

Install cluster version 4.0.0-0.alpha-2019-03-12-143341	
Upgrade cluster version 4.0.0-0.alpha-2019-03-12-153711	

The container dns-node-resolver is not upgraded to latest version of payload.

Expected results:

The container is updated.

Additional info:

Comment 1 Hongan Li 2019-03-13 05:27:19 UTC
same to https://bugzilla.redhat.com/show_bug.cgi?id=1673989 ?

Comment 2 Ravi Sankar 2019-03-14 21:01:29 UTC
Fixed by https://github.com/openshift/cluster-dns-operator/pull/85

Comment 3 Hongan Li 2019-03-19 07:49:58 UTC
verified with upgrading from 4.0.0-0.nightly-2019-03-15-043409 to 4.0.0-0.nightly-2019-03-18-200009 and the issue has been fixed.

before upgrade:
$ oc get deployment -n openshift-dns-operator -o yaml | grep quay 
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b9e3107ae30e589be00c2c28fab543e0c05a1dff5188de479cf37693834eabe1
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bf1f556c9abacfa8ed8a2eacb10d47c5c369c4217d866e8a88cdccf2be33d17a
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:e8855628583840d826092c00fdbab15aa1129bd127c5545a988da5ce0ca67487

$ oc get ds -n openshift-dns -o yaml | grep quay
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b9e3107ae30e589be00c2c28fab543e0c05a1dff5188de479cf37693834eabe1
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bf1f556c9abacfa8ed8a2eacb10d47c5c369c4217d866e8a88cdccf2be33d17a


after upgrade:
$ oc get deployment -n openshift-dns-operator -o yaml | grep quay 
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b9e3107ae30e589be00c2c28fab543e0c05a1dff5188de479cf37693834eabe1
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0d489c04afac2d3b088bd9139deae1c0bbb267ba132576e41f261da9bcc41360
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:05e305037ad450a37c9e142580854e61d102161dad6d1e3d42856aea1f9ece0b

$ oc get ds -n openshift-dns -o yaml | grep quay
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b9e3107ae30e589be00c2c28fab543e0c05a1dff5188de479cf37693834eabe1
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0d489c04afac2d3b088bd9139deae1c0bbb267ba132576e41f261da9bcc41360

# oc adm release info --pullspecs "registry.svc.ci.openshift.org/ocp/release:4.0.0-0.nightly-2019-03-18-200009" | grep cli
  cli                                           quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0d489c04afac2d3b088bd9139deae1c0bbb267ba132576e41f261da9bcc41360

The container dns-node-resolver is updated after upgrading.

Comment 6 errata-xmlrpc 2019-06-04 10:45:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.